Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography 1.20
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.bouncycastle.openpgp
Class PGPPBEEncryptedData

    java.lang.Object
      |
      +--org.bouncycastle.openpgp.PGPPBEEncryptedData

All Implemented Interfaces:
  HashAlgorithmTags, PacketTags, PublicKeyAlgorithmTags, SymmetricKeyAlgorithmTags

public class PGPPBEEncryptedData
extends java.lang.Object
implements PacketTags, PublicKeyAlgorithmTags, SymmetricKeyAlgorithmTags, HashAlgorithmTags

A password based encryption object.

Field Summary

Fields inherited from interface org.bouncycastle.bcpg.PacketTags
`COMPRESSED_DATA, EXPIRIMENTAL_1, EXPIRIMENTAL_2, EXPIRIMENTAL_3, EXPIRIMENTAL_4, LITERAL_DATA, MARKER, MOD_DETECTION_CODE, ONE_PASS_SIGNATURE, PUBLIC_KEY, PUBLIC_KEY_ENC_SESSION, PUBLIC_SUBKEY, RESERVED, SECRET_KEY, SECRET_SUBKEY, SIGNATURE, SYM_ENC_INTEGRITY_PRO, SYMMETRIC_KEY_ENC, SYMMETRIC_KEY_ENC_SESSION, TRUST, USER_ATTRIBUTE, USER_ID`

Fields inherited from interface org.bouncycastle.bcpg.PublicKeyAlgorithmTags
`DIFFIE_HELLMAN, DSA, EC, ECDSA, ELGAMAL_ENCRYPT, ELGAMAL_GENERAL, RSA_ENCRYPT, RSA_GENERAL, RSA_SIGN`

Fields inherited from interface org.bouncycastle.bcpg.SymmetricKeyAlgorithmTags
`AES_128, AES_192, AES_256, BLOWFISH, CAST5, DES, IDEA, NULL, SAFER, TRIPLE_DES, TWOFISH`

Fields inherited from interface org.bouncycastle.bcpg.HashAlgorithmTags
`DOUBLE_SHA, HAVAL_5_160, MD2, MD5, RIPEMD160, SHA1, TIGER_192`

Method Summary
`java.io.InputStream` | `getDataStream(char[] passPhrase, java.lang.String provider)` Return the decrypted input stream, using the passed in passPhrase.
`java.io.InputStream` | `getInputStream()` Return the raw input stream for the data stream.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### getInputStream

    public java.io.InputStream getInputStream()

  Return the raw input stream for the data stream.

  Returns:
    InputStream

### getDataStream

    public java.io.InputStream getDataStream(char[] passPhrase,
                                             java.lang.String provider)
                                      throws PGPException,
                                             java.security.NoSuchProviderException

  Return the decrypted input stream, using the passed in passPhrase.

  Parameters:
    `passPhrase` -
    `provider` -
  Returns:
    InputStream
  Throws:
    `PGPException`
    `java.security.NoSuchProviderException`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography 1.20
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD